Subject: Re: bug#47168: 28.0.50; Infinite recursion in project-root

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Mar 2021 23:54:37 -0400

> Stefan, any chance there's a relatively non-dirty way we can check whether
> there is a non-default implementation for the generic function with given
> args, before calling it?

Not really, no.  We could refrain from providing a default
implementation, and instead add a method to `cl-no-next-method` or
something like that, but I'm not sure it would make much difference.

> That would allow us to break recursion.

But we could use some dynamically-scoped
`project--within-roots-fallback` variable to break such recursion ;-)

        Stefan